Returns reference data for the branch form. The parameters chain_id and city_id are required.
Authorization
api-token + language + role
Query parameters
chain_idintegerrequired
Example:7158
city_idintegerrequired
Example:7158
Responses
OK
object
statusstringrequired
Values:successerror
Example:success
dataobject
For creation — city_id (requires the city_id parameter), for update — city (without the city_id parameter)
branch_idobject (FilterSelectInteger)
valueinteger
Example:8920
typestringrequired
Example:select
optionarray of object
valueintegerrequired
Example:8920
namestringrequired
Example:Green Basket | Kaliningrad
modestring (FilterMode)
How the interface handles the filter; a regular filter does not have mode. force_shown — always displayed, cannot be hidden. value_required — entry point to the section: always displayed, cannot have an empty value (until a value is selected, the list is empty; there is no "all" option), global reset does not clear it.
Values:force_shownvalue_required
Example:value_required
round_costs_modeobject (FilterEnum)
Filter enumeration — a flat list of enumeration values
valuestring
Example:example
typestringrequired
Example:select
optionarray of string
modestring (FilterMode)
How the interface handles the filter; a regular filter does not have mode. force_shown — always displayed, cannot be hidden. value_required — entry point to the section: always displayed, cannot have an empty value (until a value is selected, the list is empty; there is no "all" option), global reset does not clear it.
Values:force_shownvalue_required
Example:value_required
service_nameobject (FilterEnum)
Filter enumeration — a flat list of enumeration values
valuestring
Example:example
typestringrequired
Example:select
optionarray of string
modestring (FilterMode)
How the interface handles the filter; a regular filter does not have mode. force_shown — always displayed, cannot be hidden. value_required — entry point to the section: always displayed, cannot have an empty value (until a value is selected, the list is empty; there is no "all" option), global reset does not clear it.